package com.ruoyi.sim.mapper;

import java.util.List;

import com.ruoyi.sim.domain.RealExamFault;

/**
 * 考试故障关联Mapper接口
 *
 * @author tom
 * @date 2024-12-15
 */
public interface RealExamFaultMapper {
    /**
     * 查询考试故障关联
     *
     * @param refId 考试故障关联主键
     * @return 考试故障关联
     */
    public RealExamFault selectRealExamFaultByRefId(Long refId);

    /**
     * 查询考试故障关联列表
     *
     * @param realExamFault 考试故障关联
     * @return 考试故障关联集合
     */
    public List<RealExamFault> selectRealExamFaultList(RealExamFault realExamFault);

    /**
     * 新增考试故障关联
     *
     * @param realExamFault 考试故障关联
     * @return 结果
     */
    public int insertRealExamFault(RealExamFault realExamFault);

    /**
     * 修改考试故障关联
     *
     * @param realExamFault 考试故障关联
     * @return 结果
     */
    public int updateRealExamFault(RealExamFault realExamFault);

    /**
     * 删除考试故障关联
     *
     * @param refId 考试故障关联主键
     * @return 结果
     */
    public int deleteRealExamFaultByRefId(Long refId);

    /**
     * 批量删除考试故障关联
     *
     * @param refIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteRealExamFaultByRefIds(Long[] refIds);
}

